<TABLE class="xmtable" border=0 align="center" cellPadding=0 cellSpacing=12 bgcolor="#FFFFFF">
  
  <tr> 
    <td  height="450" valign="top" Class="tdbg_left">
    <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
              <tr>
                <td><% call ShowUserLogin() %></td>
              </tr>
          </table>    </td>
    <TD width=1 background=images/MainLine.gif></TD>    
    <td width="670" valign="top" bgcolor="#FFFFFF"><table width="670" border="0" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td><% If IsFlash10="Yes" Then %>
            <object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,29,0" width="<%=width10%>" height="<%=High10%>">
              <param name="movie" value="<%=BannerUrl10%>">
              <param name="quality" value="high">
              <param name="wmode" value="transparent">
              <embed src="<%=BannerUrl10%>" width="<%=width10%>" height="<%=High10%>" quality="high" pluginspage="http://www.macromedia.com/go/getflashplayer" type="application/x-shockwave-flash" wmode="transparent"></embed>
            </object>
            <% Else %>
            <img src="<%=BannerUrl10%>" width="<%=width10%>" height="<%=High10%>">
            <% end If%>
        </td>
      </tr>
    </table>
      <br>
      <TABLE cellSpacing=0 cellPadding=0 width="100%" 
                              border=0>
        <TBODY>
          <TR>
            <TD class="title_b"></TD>
            <TD><TABLE cellSpacing=0 cellPadding=0 width="100%" 
                                border=0>
                <TBODY>
                  <TR>
                    <TD width=98 class="title_c" style="text-align:center;">会员中心</font></TD>
                    <TD width="555" class="title_right">　</TD>
                  </TR>
                </TBODY>
            </TABLE></TD>
          </TR>
          <TR>
            <TD vAlign=bottom colSpan=2 height=5><TABLE cellSpacing=0 cellPadding=0 width="100%" 
                                border=0>
                <TBODY>
                  <TR>
                    <TD bgColor=#e3e3e3 
                                height=1></TD>
                  </TR>
                </TBODY>
            </TABLE></TD>
          </TR>
        </TBODY>
      </TABLE>
      <br>
      <%
UserName=Session("UserName")
set rs=server.createobject("adodb.recordset")
sql="select * from Feedback where UserName='"&UserName&"' order by id desc"
rs.open sql,conn,1,1

dim MaxPerPageFeedback
MaxPerPageFeedback=5

'取得页数,并判断留言输入的是否数字类型的数据，如不是将以第一页显示
dim text,checkpage
text="0123456789"
Rs.PageSize=MaxPerPageFeedback
for i=1 to len(request("page"))
checkpage=instr(1,text,mid(request("page"),i,1))
if checkpage=0 then
exit for
end if
next

If checkpage<>0 then
If NOT IsEmpty(request("page")) Then
CurrentPage=Cint(request("page"))
If CurrentPage < 1 Then CurrentPage = 1
If CurrentPage > Rs.PageCount Then CurrentPage = Rs.PageCount
Else
CurrentPage= 1
End If
If not Rs.eof Then Rs.AbsolutePage = CurrentPage end if
Else
CurrentPage=1
End if

call list

'显示帖子的子程序
Sub list()%>

<%
If rs.eof and rs.bof then
  response.write "您还没留言！"
  'response.end
End if
%> 

<%
i=0
do while not rs.eof
%>
      <table width="100%"  border="0" align="center" cellpadding="0" cellspacing="1" bgcolor="#FFFFFF" >
        <tr bgcolor="#DFDFDF">
          <td width="17%" height="22" align="right" bgcolor="#DFDFDF" > 主　题： </td>
          <td colspan="5" bgcolor="#DFDFDF">&nbsp;
              <%if rs("username")="管理员"then%>
            [管理员公告]
            <%end if%>
            <%=rs("title")%></a></td>
        </tr>
        <tr bgcolor="#DFDFDF">
          <td height="22" align="right" bgcolor="#EFEFEF" > 反馈内容： </td>
          <td colspan="5" align="center" bgcolor="#EFEFEF" ><table width="97%"  border="0" cellpadding="0" cellspacing="0">
              <tr>
                <td height="4">&nbsp;</td>
              </tr>
              <tr>
                <td height="40" ><%=rs("Content")%> </td>
              </tr>
              <tr>
                <td height="4"></td>
              </tr>
          </table></td>
        </tr>
        <tr bgcolor="#EFEFEF">
          <td height="22" align="right" > 留言者： </td>
          <td width="22%" ><%=rs("Receiver")%> </td>
          <td width="12%" align="right" >留言时间：</td>
          <td width="17%" ><%=rs("Time")%></td>
          <td width="12%" align="right" >回复时间：</td>
          <td width="20%" ><%=rs("Retime")%> </td>
        </tr>
        <tr bgcolor="#DFDFDF">
          <td height="22" align="right" bgcolor="#EFEFEF" > 管理员回复： </td>
          <td colspan="5" align="center" bgcolor="#EFEFEF" ><table width="97%"  border="0" cellpadding="0" cellspacing="0" >
              <tr>
                <td height="4"></td>
              </tr>
              <tr>
                <td height="40" ><%if rs("ReFeedback")=""then%>
                  ["未回复"]
                  <%else%>
                  <%=rs("ReFeedback")%>
                  <%end if%>
                </td>
              </tr>
              <tr>
                <td height="4"></td>
              </tr>
          </table></td>
        </tr>
        <tr valign="top" bgcolor="#F7F7F7">
          <td height="12" colspan="6" ><img src="Images/Hrbackup.gif" width="96" height="10"></td>
        </tr>
      </table>
      <%
i=i+1
if i >= MaxPerPageFeedback then exit do
rs.movenext
loop
%>
      <table width="100%" border="0" cellspacing="0" cellpadding="0">
        <tr>
          <td><div align="right">
              <%
Response.write "全部"
Response.write "共" & Cstr(Rs.RecordCount) & "条留言&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;"
Response.write "第" & Cstr(CurrentPage) &  "/" & Cstr(rs.pagecount) & "&nbsp;"
If currentpage > 1 Then
response.write "<a href='FeedbackMember.asp?&page="+cstr(1)+"'>&nbsp;首页&nbsp;</a>"
Response.write "<a href='FeedbackMember.asp?page="+Cstr(currentpage-1)+"'>&nbsp;上一页&nbsp;</a>"
Else
Response.write "&nbsp;上一页&nbsp;"
End if
If currentpage < Rs.PageCount Then
Response.write "<a href='FeedbackMember.asp?page="+Cstr(currentPage+1)+"'>&nbsp;下一页&nbsp;</a>"
Response.write "<a href='FeedbackMember.asp?page="+Cstr(Rs.PageCount)+"'>&nbsp;尾页&nbsp;</a>"
Else
Response.write ""
Response.write "&nbsp;下一页&nbsp;"
End if
Response.write "转到第"
response.write"<select name='sel_page' onChange='javascript:location=this.options[this.selectedIndex].value;'>"
    for i = 1 to Rs.PageCount
       if i = currentpage then 
          response.write"<option value='FeedbackMember.asp?page="&i&"&id="&id&"' selected>"&i&"</option>"
       else
          response.write"<option value='FeedbackMember.asp?page="&i&"&id="&id&"'>"&i&"</option>"
       end if
    next
response.write"</select>页"
%>
          </div></td>
        </tr>
      </table>
    <%end sub%></td>
    <TD width=1 background=images/MainLine.gif></TD>    
    <TD width="79" > </TD>
  </tr>
</table>
<%
rs.close
set rs=nothing
%>    
